# eric3.VCS.mercurialPackage.RevisionSelectionDialog

Module implementing a dialog to enter the revisions for the hg diff command.

### Classes

HgRevisionSelectionDialog | Class implementing a dialog to enter the revisions for the hg diff command.

### Functions

None

## HgRevisionSelectionDialog

Class implementing a dialog to enter the revisions for the hg diff command.

### Derived from

RevisionSelectionForm

### Methods

HgRevisionSelectionDialog | Constructor
getRevisions | Public method to get the revisions.
handleOldChanged | Privat slot to handle the valueChanged(int) signal of the first spinbox.

### HgRevisionSelectionDialog (Constructor)

HgRevisionSelectionDialog(parent = None)

Constructor

parent
  parent widget of the dialog (QWidget)

### HgRevisionSelectionDialog.getRevisions

getRevisions()

Public method to get the revisions.

Returns:
  list of one or two integers or None

### HgRevisionSelectionDialog.handleOldChanged

handleOldChanged(val)

Privat slot to handle the valueChanged(int) signal of the first spinbox.

val
  value of the spinbox (integer)

Up